class SessionsController < ApplicationController
  def create
    @user = User.authenticate params[:email], params[:password]
    if @user
      session[:user] = @user.id
    else
      flash[:notice] = 'Invalid email or password'
    end
    redirect_back fallback_location: hello_path
  end

  def destroy
    reset_session
    flash[:notice] = 'Logged out successfully'
    redirect_to hello_path
  end
end
