class UsersController < ApplicationController
  def new
    @user = User.new
  end

  def create
    @user = User.new(params_user)
    if @user.save
      session[:user] = @user.id
      flash[:notice] = "Successful registration"
    else
      flash[:notice] = @user.errors.messages
    end
    redirect_back fallback_location: hello_path
  end

  def forgotten
    @user = User.new
  end

  def send_forgotten
  end

  def edit
  end

  def update
    if @user.update(params_user)
      flash[:notice] = "Update successful"
    else
      flash[:notice] = "Could not update date"
    end
    redirect_back fallback_location: hello_path
  end

  private
    def params_user
      params.require(:user).permit([:username, :password, :password_confirmation, :email])
    end
end
