Rails.application.routes.draw do
  post 'attachments/:id/:type/upload', to: 'attachments#upload', as: 'upload'
  get 'attachments/:id/download', to: 'attachments#download', as: 'download'
  post 'sessions/create', to: 'sessions#create', as: 'login'
  match 'sessions/destroy', to: 'sessions#destroy', as: 'logout', via: [:get, :delete]
  get 'users/new', to: 'users#new', as: 'registration'
  post 'users/create', to: 'users#create', as: 'register'
  get 'users/forgotten', to: 'users#forgotten', as: 'forgotten'
  post 'users/send_forgotten', to: 'user#send_forgetten', as: 'send_forgotten'
  get 'users/edit/:id', to: 'users#edit', as: 'profile'
  put 'users/update/:id', to: 'users#update', as: 'edit_profile'
  resources :beepastures do
    get 'page/:page', on: :member, as: 'page', to: 'beepastures#show'
  end
  get 'say/hello', to: 'say#hello', as: 'hello'
  # For details on the DSL available within this file, see https://guides.rubyonrails.org/routing.html
end
